From bdb1d08e17cb9c9026e63f609efceabc927dc4a4 Mon Sep 17 00:00:00 2001 From: wes Date: Thu, 27 Mar 2025 08:44:26 -0400 Subject: [PATCH] add pcb screw holes --- carlson_amp_enclosure.py | 26 ++++++++++++++++++++++++-- 1 file changed, 24 insertions(+), 2 deletions(-) diff --git a/carlson_amp_enclosure.py b/carlson_amp_enclosure.py index 0cc7252..42c733b 100644 --- a/carlson_amp_enclosure.py +++ b/carlson_amp_enclosure.py @@ -28,7 +28,9 @@ x_board_size = 36.07 y_board_size = 28.75 hole_dist_x = 22.76 -hole_dist_y = 31.29 +hole_dist_y = ( + 31.29 - 0.15 +) # Need to subtract a bit because it's slightly off, but the original number is correct hole_diameter = 3.44 hole_radius = hole_diameter / 2.0 @@ -130,7 +132,7 @@ bottom = ( .vertices() .threadedHole(top_screw, 2.0, simple=screw_simple, fit="Close", counterSunk=False) ) -0 + bottom = ( bottom.workplane(offset=-(box_height / 2.0) + 9.0) .move( @@ -150,6 +152,26 @@ bottom = ( .threadedHole(top_screw, 2.0, simple=screw_simple, fit="Close", counterSunk=False) ) +bottom = ( + bottom.workplane(offset=-(box_height / 2.0) + 9.0) + .move( + -(box_length / 4.0), + 0, + ) + .rect(hole_dist_x, hole_dist_y) + .vertices() + .cylinder(4, hole_radius + 1) + .workplane(offset=-(box_height / 2.0) + 11.10) + .move( + -(box_length / 4.0), + 0, + ) + .rect(hole_dist_x, hole_dist_y) + .vertices() + .threadedHole(top_screw, 2.0, simple=screw_simple, fit="Close", counterSunk=False) +) + + cq.exporters.export(bottom, "/home/deck/model_files/carlon_probe_amp_enclosure_box.stl") cq.exporters.export(top, "/home/deck/model_files/carlon_probe_amp_enclosure_lid.stl")